Remove Role Assignments
- DELETE /users/{user_id}/role_assignments
Removes a set of RoleAssignments from the specified User. Currently unavailable in self-hosted ECE.
Path Parameters
-
user_idstringrequired -
Identifier for the user; include realm name and id if required
Query Parameters
-
forceboolean · default: false Whether or not to force the removal of role assignments (effective only for Platform Admins)
Request
The Role Assignments to remove
-
platformPlatformRoleAssignment -
Assignments for roles with platform scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organizationOrganizationRoleAssignment -
Assignments for roles with organization scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to a deployment or project
-
deploymentDeploymentRoleAssignment -
Assignments for roles with deployment scope.
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all deployments in the organization, otherwise the role is scoped to the deployments specified in
deployment_ids. -
deployment_idsstring -
The IDs of the deployments the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the deployment(s) specified in the role assignment.
-
projectProjectRoleAssignments -
Assignments for roles with project scope.
-
elasticsearchProjectRoleAssignment -
The Elasticsearch project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
observabilityProjectRoleAssignment -
The Observability project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
securityProjectRoleAssignment -
The Security project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
-
workplaceaiProjectRoleAssignment -
The WorkplaceAI project-scoped role assignments to set
-
role_idstringrequired -
The ID of the role that is assigned.
-
organization_idstringrequired -
The ID of the organization the role is scoped to.
-
allboolean -
When true, the role applies to all projects in the organization, otherwise the role is scoped to the projects specified in
project_ids. -
project_idsstring -
The IDs of the projects the role is scoped to. Must be absent if
allis true, and present ifallis false. -
application_rolesstring -
If provided, the user assigned this role assignment will be granted this application role when signing in to the project(s) specified in the role assignment.
Responses
Role Assignments were successfully removed from the target User
Response Type: EmptyResponse
The target user Id is invalid. (code: role_assignments.invalid_target_user_id)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Credentials were invalid. (code: root.unauthorized)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
You are not authorised to remove the specified RoleAssignments. (code: role_assignments.unauthorized_role_assignments)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response